<%@ tag language="java" pageEncoding="UTF-8"
	import="net.jazz.web.jsp.Dijit"%>
<%@tag import="net.jazz.ajax.model.WebBundle"%>
<%@ attribute name="applicationId" required="true" %>
<%@ attribute name="applicationName" required="true" %>
<%@ attribute name="applicationInstance" required="true"%>
<%@ attribute name="applicationWidget" required="true" %>
<%@ attribute name="applicationWidgetId" %>
<%@ attribute name="dojoModule" required="true" %>
<%@ attribute name="pageTitle"%>
<%@ attribute name="bannerTitle"%>
<%@ attribute name="bannerRight" %>
<%@ attribute name="bannerIcon" required="true"%>
<%@ attribute name="bannerHomeLink"%>
<%@ attribute name="bodyClass"%>
<%@ attribute name="renderedPageId"%>
<%@ taglib uri="/WEB-INF/net-jazz-web/core.tld" prefix="jazz"%>
<%@ taglib uri="/WEB-INF/jazz-ui/ui.tld" prefix="ui"%>
<%@ taglib prefix="internal" tagdir="/WEB-INF/tags/net-jazz-web-app-internal"%>
<%@ taglib uri="/WEB-INF/net-jazz-web-app/app.tld" prefix="app"%>
<%!
static final String ADMIN_ICON = WebBundle.resourceUrl("com.ibm.team.repository.web/jazz.ico");
%>
<%
if (applicationWidgetId == null)
	jspContext.setAttribute("applicationWidgetId", Dijit.nextWidgetId(request));
%>

<jazz:AjaxPage
		dojoModule="${dojoModule}"
		icon="<%=ADMIN_ICON%>"
		bodyClass="${bodyClass}"
		title="${pageTitle}">
	<div data-jazz-type="${applicationWidget}"
			data-dojo-props="renderedPageId:'${renderedPageId}',id:'${applicationWidgetId}'">
		<internal:PageTemplate
				bannerIcon="${bannerIcon}"
				homeLink="${bannerHomeLink}"
				bannerTitle="${bannerTitle}">
			<jsp:attribute name="title">
				<a href="#" title="About the Server" dojoAttachEvent="onclick:_openAboutBox:${applicationWidgetId}">
					${applicationName} (${applicationInstance})
				</a>
			</jsp:attribute>
			<jsp:attribute name="bannerRight">
				<ui:MenuBar orientation="{BR: 'TR'}" clazz="jazz-app-banner-MenuBar">
					${bannerRight}
				</ui:MenuBar>
			</jsp:attribute>
			<jsp:attribute name="navbar">
				<app:NavigationMenuBar applicationId="${applicationId}" jazzAttachPoint="'_navbar:${applicationWidgetId}'"/>
			</jsp:attribute>
			<jsp:body>
				<jsp:doBody/>
			</jsp:body>
		</internal:PageTemplate>
	</div>
</jazz:AjaxPage>
