<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  version="1.0">

  <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="no" omit-xml-declaration="no"/>
  
  <!-- remove the "/*" match to have ns's stripped from attributes as well -->
  <xsl:template match="/*">
  	<xsl:copy> 
  		<xsl:apply-templates/>
  	</xsl:copy>	
  </xsl:template>

  <xsl:template match="*">
	    <xsl:element name="{local-name()}">
	      <xsl:apply-templates select="@* | node()"/>
	    </xsl:element>
  </xsl:template>

  <xsl:template match="@* | text() | comment() | processing-instruction()">
    <xsl:copy/>
  </xsl:template>

</xsl:stylesheet>