<%@ tag language="java" pageEncoding="UTF-8" %>
<%@ tag import="java.util.*" %>
<%@ tag import="net.jazz.ajax.model.AjaxApplicationPage" %>
<%@ tag import="net.jazz.web.app.internal.CustomNavbarTag"%>
<%@ attribute name="applicationId" required="true" %>
<%@ attribute name="jazzAttachPoint" required="true" %>
<%@ variable name-given="buffer" %>
<%@ taglib uri="/WEB-INF/jazz-ui/ui.tld" prefix="ui"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core_1_1" prefix="c" %>
<%@ taglib uri="/WEB-INF/net-jazz-web-app/app.tld" prefix="app"%>

<% CustomNavbarTag navbar = new CustomNavbarTag(jspContext); %>
<c:set var="buffer">
	<%
	Locale locale = request.getLocale();
	for (AjaxApplicationPage page: navbar.pages) {
		if (page == null)
			continue;
		%>
		<ui:PopupMenuItem content="<%=page.getName(locale)%>" /><%
	}%>
	<%--
	<div class="right-links">
	</div>
	--%>
</c:set>

<ui:MenuBar
		clazz="jazz-app-NavigationMenuBar"
		dojoType="jazz.app.internal.NavigationMenuBar"
		jazzAttachPoint="${jazzAttachPoint}">
	${buffer}
</ui:MenuBar>