/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("jazz.ui.internal.PopupMenuItem");

dojo.require("dijit.MenuBarItem");
dojo.require("jazz.ui.internal.MenuItem");
dojo.require("jazz.ui.internal._CssStateMixin");

dojo.declare("jazz.ui.internal.PopupMenuItem", [jazz.ui.internal.MenuItem, dijit._MenuBarItemMixin], {
	
	popup: true, /* the real popup is created in aboutToPopup */
	
	createPopup: function(/* this widget */) {
	},
	
	_setSelected: function(value) {
		if (this.popup === true) {
			this.popup = false;
			this.createPopup(this);
			if (this.popup) {
				dojo.body().appendChild(this.popup.domNode);
				this.popup.startup();
				this.popup.domNode.style.display="none";
			}
		}
		this.inherited(arguments);
	},
	
	destroyDescendants: function() {
		debugger;
		if (this.popup.destroyRecursive)
			this.popup.destroyRecursive();
		this.inherited(arguments);
	}
	
});
})();